Skip to main content
`Ctrl`+`K`

# PetscStackPopNoCheck

Pops a function name from the PETSc default stack that tracks where the running program is currently in the source code.

## Synopsis

    #include <petscsys.h>
    void PetscStackPopNoCheck(char *funct);

Not Collective

## Input Parameter

- funct - the function name

## Notes

Using `PetscCall()`, `PetscCallExternal()`, `PetscCallBack()` and friends negates the need to call this

In debug mode PETSc maintains a stack of the current function calls that can be used to help to quickly see where a problem has occurred, for example, when a signal is received. It is recommended to use the debugger if extensive information is needed to help debug the problem.

The default stack is a global variable called `petscstack`.

## Developer Note

`PetscStackPopNoCheck()` takes a function argument while `PetscStackPop` does not, this difference is likely just historical.

## See Also

`PetscAttachDebugger()`, `PetscStackCopy()`, `PetscStackView()`, `PetscStackPushNoCheck()`, `PetscStackPop`

## Level

developer

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages